<?php
include_once '../controllers/ColoresController.php';

$colores = new ColoresController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    echo json_encode(['status' => 'error', 'message' => 'No se especificó ninguna acción']);
    exit;
}

switch ($action) {
    case 'getColores':
        $colores->getColores();
        break;
    case 'getColor':
        $colores->getColor($_POST['id']);
        break;
    case 'createColor':
        $colores->createColor($_POST['nombre'], $_POST['codigo_hex']);
        break;
    case 'updateColor':
        $colores->updateColor($_POST['id'], $_POST['nombre'], $_POST['codigo_hex']);
        break;
    case 'deleteColor':
        $colores->deleteColor($_POST['id']);
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
        break;
}
?>